package com.fs.company.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 提现对象 company_profit
 * 
 * @author fs
 * @date 2022-07-04
 */
public class CompanyProfit extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long profitId;

    /** 公司ID */
    private Long companyId;

    /** 银行名称 */
    @Excel(name = "银行名称")
    private String bankName;

    /** 银行支行名称 */
    @Excel(name = "银行支行名称")
    private String bankBranchName;

    /** 银行卡号 */
    @Excel(name = "银行卡号")
    private String bankCardNo;

    /** 银行开户名 */
    @Excel(name = "银行开户名")
    private String bankUserName;

    /** 提现金额 */
    @Excel(name = "提现金额")
    private BigDecimal money;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal balances;

    /** 提现状态（1确认中，2成功，3失败） */
    @Excel(name = "提现状态", readConverterExp = "1=确认中，2成功，3失败")
    private Integer profitStatus;

    /** 提现类型 1微信 2支付宝 3银行卡 */
    private Integer profitType;

    @Excel(name = "凭证照片")
    private String imgUrl;

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getProfitId() {
        return profitId;
    }

    public void setProfitId(Long profitId) {
        this.profitId = profitId;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankBranchName() {
        return bankBranchName;
    }

    public void setBankBranchName(String bankBranchName) {
        this.bankBranchName = bankBranchName;
    }

    public String getBankCardNo() {
        return bankCardNo;
    }

    public void setBankCardNo(String bankCardNo) {
        this.bankCardNo = bankCardNo;
    }

    public String getBankUserName() {
        return bankUserName;
    }

    public void setBankUserName(String bankUserName) {
        this.bankUserName = bankUserName;
    }

    public BigDecimal getMoney() {
        return money;
    }

    public void setMoney(BigDecimal money) {
        this.money = money;
    }

    public BigDecimal getBalances() {
        return balances;
    }

    public void setBalances(BigDecimal balances) {
        this.balances = balances;
    }

    public Integer getProfitStatus() {
        return profitStatus;
    }

    public void setProfitStatus(Integer profitStatus) {
        this.profitStatus = profitStatus;
    }

    public Integer getProfitType() {
        return profitType;
    }

    public void setProfitType(Integer profitType) {
        this.profitType = profitType;
    }
}
